Subject: Re: Newtek's NAB "Beach Party"
From: "Eric Gooch" <[email-masked]>
To: Multiple recipients of list <[email-masked]>
Date: Thu, 18 Apr 1996 22:35:34 -0700

OK, I know this is off topic, but I couldn't help responding.

> > From:          [email-masked]
 
> Went to Newtek's NAB party tonite. It was held at a dive called
> "The Beach" -

[snip]

> I didn't see any Newtek-specific decorations inside either.

Did you look up? There were several large Newtek banners hanging from the 
ceiling. Upstairs, there were many more. There were also a lot of monitors 
around running LW demo tapes with some incredible animation running on 
them. There was also a Mac in the corner with Modeler running on it.

> For those of you who attended their party a couple years back in
> conjunction with SIGGRAPH in Anaheim, CA., you'll remember the
> soire they threw at the Movieland Wax Museum in Buena Park... where
> over 3000 people showed up, got a free tour of the place, lots of
> good eating, and everywhere were 4' tall blowup toys of Edvard
> Munch's "The Shriek" painting's character.
> Tonite's party had none of that excitement of that Screamer
> rollout party a couple years ago. No new Todd Rundgren videos.
> No Penn'n'Teller either.

I was there for the Screamer party. Aside from the lack of inflatable 
characters, there wasn't that much of a difference between the two. 
 
> The Beach's sound system was one of the worst I've ever been
> subjected to in a club.  Some announcements were made which I
> could neither see nor understand.  Loud. Distorted. 

Who cares about the announcements? I was there to have a good time, 
meaning listening to the music and dancing with other drunken Lightwave 
freaks.

> Anyway, despite the insanely loud music and bad sound system, this
> one was a lot smaller and much lower-key than Newtek parties of
> years past, for those who keep track of such things.
> 
> John and i left after less than an hour. 

Too bad you left. At midnight all the beer bimbos and waitresses took 
*off* their T-shirts and sported thongs and bikini tops. And where else do 
you get to see Stuart Ferguson bust a move on the dance floor? There were 
a lot of plugin developers there...Blevins Enterprises, ATR Solutions, 
Wavefilter...This was one of the best Newtek parties I've been to in a long time. 

Thanks Newtek!

-Eric G.
Westwood Studios